Name: magicarbohttpd		
Version:	1.4
Release:	3%{?dist}
Summary:	Arborescence infogerance
Group:		System Environment/Base
License:	BSD

Source0:	http.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(pre): shadow-utils
Requires:	httpd


%description
Meta package that installs httpd with default magic's configuration

%prep
%setup -q -c

%build

%pre
if [ "$1" = "1" ]; then
	useradd -m -r -d /home/sdfrance -s /bin/bash sdfrance > /dev/null
fi

%postun
if [ "$1" = "0" ]; then
	userdel sdfrance
fi

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf/vhosts.d/
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf.d/

mkdir -p $RPM_BUILD_ROOT/home/sdfrance/{www,cgi-bin}
chmod 705 $RPM_BUILD_ROOT/home/sdfrance $RPM_BUILD_ROOT/home/sdfrance/cgi-bin
touch  $RPM_BUILD_ROOT/home/sdfrance/www/index.html
install -p -m 0644 00_default_vhost.conf $RPM_BUILD_ROOT/etc/httpd/conf/vhosts.d/
install -p -m 0644 magicvhost.conf $RPM_BUILD_ROOT/etc/httpd/conf.d/

%clean
rm -rf $RPM_BUILD_ROOT

%post
chown sdfrance:users -R $RPM_BUILD_ROOT/home/sdfrance/
echo '.'> $RPM_BUILD_ROOT/home/sdfrance/www/index.html
chmod 705 /home/sdfrance/
chkconfig --level 2345 httpd on
service httpd restart
%files

%defattr(-,root,root,-)

%doc

%config(noreplace)/etc/httpd/conf/vhosts.d/00_default_vhost.conf
%config(noreplace)/etc/httpd/conf.d/magicvhost.conf
%config(noreplace)/home/sdfrance/www/index.html


%changelog
* Tue Apr 28 2015 Mohamed YACOUBI <mohamed.yacoubi@magic.fr> 1.4-3
- Fix pre

* Tue Apr 28 2015 Mohamed YACOUBI <mohamed.yacoubi@magic.fr> 1.4-2
- Fix postun

* Mon Apr 13 2015 Mohamed YACOUBI <mohamed.yacoubi@magic.fr> 1.4-1
- Fix httpd installation in rc.d

* Mon Apr 13 2015 Mohamed YACOUBI <mohamed.yacoubi@magic.fr> 1.3-1
- Fired httpd.conf

* Tue Jul 15 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 1.2-1
- Release BUMP - Enabled mod-status

* Wed Jul 08 2014 Saida AOUAQ <saouaq@magic.fr> 1.1
- Change httpd.conf

* Fri Feb 26 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 1.1
- Release BUMP for KOJI

* Fri Feb 07 2014 Alexandre Legrix <alegrix@magic.fr> 1.1
- fix NameVirtualHost

* Wed Jan 29 2014 Alexandre Legrix <alegrix@magic.fr> 1.0
- fix right and misc

* Wed Jan 29 2014 Alexandre Legrix <alegrix@magic.fr> 0.9-1
- fix hostname

* Wed Jan 29 2014 Alexandre Legrix <alegrix@magic.fr> 0.8-1
- fix httpd.conf

* Wed Jan 29 2014 Alexandre Legrix <alegrix@magic.fr> 0.7-1
- add magicvhost.conf

* Wed Jan 15 2014 Alexandre Legrix <alegrix@magic.fr> 0.6-1
- Transaction Check Error FIX

* Wed Jan 15 2014 Alexandre Legrix <alegrix@magic.fr> 0.5-1
- rm official Centos httpd.conf

* Wed Jan 15 2014 Alexandre Legrix <alegrix@magic.fr> 0.4-1
- Fix PATH to httpd.conf

* Wed Jan 15 2014 Alexandre Legrix <alegrix@magic.fr> 0.3-1
- no-remplace config.


* Wed Jan 15 2014 Alexandre Legrix <alegrix@magic.fr> 0.2-1
- fix post-install issues.


* Wed Jan 15 2014 Alexandre Legrix <alegrix@magic.fr>  & Colin "Le Batman" Brigato <cbrigato@magic.fr> 0.1-1
- Initial build.

